net.dontdrinkandroot.utils.progressmonitor.impl

## Class SimpleProgressMonitor

- java.lang.Object
- - net.dontdrinkandroot.utils.progressmonitor.impl.SimpleProgressMonitor

All Implemented Interfaces:
  ProgressMonitor

    public class SimpleProgressMonitor
    extends Object
    implements ProgressMonitor

### Field Summary

Fields
`static String` `SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`SimpleProgressMonitor()`
`SimpleProgressMonitor(int progress, String message)`

### Method Summary

Methods
`ProgressMonitor` `createChildMonitor(int startPercent, int endPercent)`
`String` `getAccumulatedMessage()`
`String` `getAccumulatedMessage(String separator)`
`List<String>` `getAccumulatedMessages()`
`int` `getAccumulatedProgress()`
`String` `getMessage()`
`int` `getProgress()`
`ProgressStatus` `getProgressStatus()`
`ProgressStatus` `getProgressStatus(String separator)`
`void` `setMessage(String message)`
`void` `setProgress(int progress)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### SimpleProgressMonitor

    public SimpleProgressMonitor()

#### SimpleProgressMonitor

    public SimpleProgressMonitor(int progress,
                         String message)

### Method Detail

#### createChildMonitor

    public ProgressMonitor createChildMonitor(int startPercent,
                                     int endPercent)

Specified by:
  `createChildMonitor` in interface `ProgressMonitor`

#### setMessage

    public void setMessage(String message)

Specified by:
  `setMessage` in interface `ProgressMonitor`

#### setProgress

    public void setProgress(int progress)

Specified by:
  `setProgress` in interface `ProgressMonitor`

#### getProgress

    public int getProgress()

Specified by:
  `getProgress` in interface `ProgressMonitor`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `ProgressMonitor`

#### getAccumulatedProgress

    public int getAccumulatedProgress()

Specified by:
  `getAccumulatedProgress` in interface `ProgressMonitor`

#### getAccumulatedMessage

    public String getAccumulatedMessage()

Specified by:
  `getAccumulatedMessage` in interface `ProgressMonitor`

#### getAccumulatedMessage

    public String getAccumulatedMessage(String separator)

Specified by:
  `getAccumulatedMessage` in interface `ProgressMonitor`

#### getProgressStatus

    public ProgressStatus getProgressStatus()

Specified by:
  `getProgressStatus` in interface `ProgressMonitor`

#### getProgressStatus

    public ProgressStatus getProgressStatus(String separator)

Specified by:
  `getProgressStatus` in interface `ProgressMonitor`

#### getAccumulatedMessages

    public List<String> getAccumulatedMessages()

Specified by:
  `getAccumulatedMessages` in interface `ProgressMonitor`